Summary: Xfce session manager
Name: xfce4-session
Version: 4.2.4
Release: 1%{?dist}
License: GPL
URL: http://www.xfce.org/
Source0: http://www.us.xfce.org/archive/xfce-4.2.4/src/xfce4-session-4.2.4.tar.gz

Patch0: xfce4-session-4.2.4-rpath.patch

Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libxfcegui4 >= %{version}
Requires: xfce-mcs-manager >= %{version}
Requires: xorg-x11-server-utils
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: xfce-mcs-manager-devel >= %{version}
BuildRequires: startup-notification-devel
BuildRequires: gettext
BuildRequires: imake
BuildRequires: libXt-devel
BuildRequires: xorg-x11-server-utils

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
xfce4-session is the session manager for the Xfce desktop environment.

%package devel
Summary: Development files for xfce4-session
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxfcegui4-devel >= %{version}

%description devel
Header files for the Xfce Session Manager.

%package engines
Summary: Additional engines for xfce4-session
Group: User Interface/Desktops
Requires: xfce4-session >= %{version}

%description engines
Additional splash screen engines for the Xfce Session Manager.

%prep
%setup -q
%patch0 -p1 -b .rpath

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/*/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/*/*/*.la
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog ChangeLog.pre-xfce-devel NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/xfce4/doc/C/*
%lang(fr) %{_datadir}/xfce4/doc/fr/*
%lang(he) %{_datadir}/xfce4/doc/he/*
%{_libdir}/lib*.so.*
%{_libdir}/xfce4/mcs-plugins/*.so
%dir %{_libdir}/xfce4/splash/
%dir %{_libdir}/xfce4/splash/engines/
%{_libdir}/xfce4/splash/engines/libmice.*
%{_libexecdir}/xfsm-shutdown-helper
%{_mandir}/man1/*
%config %{_sysconfdir}/xdg/xfce4-session/*

%files devel
%defattr(-,root,root)
%{_includedir}/xfce4/xfce4-session-4.2/libxfsm/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files engines
%defattr(-,root,root)
%{_datadir}/themes/Default/balou/*
%{_libdir}/xfce4/splash/engines/libbalou.*
%{_libdir}/xfce4/splash/engines/libsimple.*
%{_libexecdir}/balou-*

%changelog
* Wed Jun 20 2007 Christoph Wickert <fedora@christoph-wickert.de> - 4.2.4-1
- Update to 4.2.4
- Disaple rpaths
- disable-static instead of removing .a files

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-3.fc5
- Rebuild for fc5

* Tue Jan 31 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-2.fc5
- Added xorg-x11-server-utils, imake, libXt-devel BuildRequires
- Added xorg-x11-server-utils to Requires

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> 4.2.2-1.fc4
- Update to 4.2.2

* Sun May  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-5.fc4
- Add xorg-x11 buildrequires for iceauth check in configure

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-4.fc4
- lowercase Release

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.FC4
- Removed unneeded la/a files
- Added version to requires in devel and engine subpackages

* Sun Mar 20 2005 Warren Togami <wtogami@redhat.com> - 4.2.1-2
- fix BuildReqs

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-2
- Fixed to use %%find_lang
- Removed generic INSTALL from %%doc

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-1
- Inital Fedora Extras version

